[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.DoDraw

DoDraw checks that Image is of the right type, makes a local copy, creates the necessary handles and bitmaps for drawing

## Declaration

Source position: graphics.pp line 1048

`protected procedure TCanvas.DoDraw(`
`x: Integer;`
`y: Integer;`
`const Image: TFPCustomImage`
`); override;`

## See also

TFPCustomCanvas.DoDraw

The latest version of this document can be found at lazarus-ccr.sourceforge.net .